Subject: bug#52971: Tests warn after eieio-compat.el was moved to obsolete/

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jan 2022 09:59:32 +0100

Stefan Kangas <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>>> I'm not sure about the best way to fix them.  Could we just move those
>>> parts that require eieio-compat.el to a new file eieio-compat-tests.el?
>>
>> That will just move the warnings.
>
> My thinking was that if these tests are only for obsolete code, it would
> be better to isolate them all in one file.  But I have no real opinion
> either way.

I think isolating them in a new test file makes sense -- makes things
clearer.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no